{% load i18n %}
{% load staticfiles %}
<!DOCTYPE html>
<html lang="en">

<head>
  <meta charset="utf-8" />
  <title>Matrix | {% block title %}{% endblock %}</title>
  <meta content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=no" name="viewport" />
  <meta content="" name="description" />
  <meta content="" name="author" />

  <link rel="shortcut icon" type="image/png" href="{% static 'assets/img/favicon.ico' %}" />
  <!-- ================== BEGIN BASE CSS STYLE ================== -->
  <link href="https://fonts.googleapis.com/css?family=Open+Sans:300,400,600,700" rel="stylesheet" />
  <link href="{% static 'assets/css/default/app.min.css' %}" rel="stylesheet" />
  <link href="{% static 'assets/css/default/app-custom.css' %}" rel="stylesheet" />
  <!-- Toastr -->
  <link rel="stylesheet" type="text/css" href="{% static 'theme/plugins/toastr/toastr.min.css' %}">
  <!-- ================== END BASE CSS STYLE ================== -->

  <!-- ================== BEGIN PAGE LEVEL CSS STYLE ================== -->
  {% block pagelevelcss %}
  {% endblock %}
  <!-- ================== END PAGE LEVEL CSS STYLE ================== -->
</head>

<body>
  <!-- begin #page-loader -->
  <div id="page-loader" class="fade show"><span class="spinner"></span></div>
  <!-- end #page-loader -->

  <!-- begin #page-container -->
  <div id="page-container" class="fade">


    <!-- begin #content -->
    <div id="content" style="padding: 20px 30px;">
      {% block page %}

      {% endblock %}
    </div>
    <!-- end #content -->

    <!-- begin scroll to top btn -->
    <a href="javascript:;" class="btn btn-icon btn-circle btn-success btn-scroll-to-top fade" data-click="scroll-top"><i
        class="fa fa-angle-up"></i></a>
    <!-- end scroll to top btn -->
  </div>
  <!-- end page container -->

  <!-- ================== BEGIN BASE JS ================== -->
  <script src="{% static 'assets/js/app.min.js' %}"></script>
  <script src="{% static 'assets/js/theme/default.min.js' %}"></script>
  <!-- Toastr-->
  <script type="text/javascript" src="{% static 'theme/plugins/toastr/toastr.min.js' %}"></script>

  <!-- ================== END BASE JS ================== -->

  <!-- ================== BEGIN PAGE LEVEL JS ================== -->
  {% block pageleveljs %}

  {% endblock %}
  <!-- ================== END PAGE LEVEL JS ================== -->
  <script type="text/javascript">
    $(document).ready(function () {

      {% for message in messages %}
      {% if message.level == DEFAULT_MESSAGE_LEVELS.WARNING %}
      alert('{{ message }}');
      {% else %}
      toastr.{ { message.tags } } ('{{ message }}');
      {% endif %}
      {% endfor %}

      {% block on_document_ready %}
      {% endblock %}

    });


  </script>


</body>

</html>